Summary: A framework for managing user passwords and other secrets
Name: gnome-keyring-manager

%global momorel 1
%global md5sum_src0 05183cdea9d933cb1e9a8f4202c6ffc0
Version: 2.18.0
Release: %{momorel}m%{?dist}
Group: System Environment/Libraries
License: GPL
URL: http://www.gnome.org

%NoSource 0 ftp://ftp.gnome.org/pub/GNOME/sources/%{name}/2.18/%{name}-%{version}.tar.bz2 %{md5sum_src0}

BuildRoot: %{_tmppath}/%{name}-%{version}-root
BuildRequires: gtk2-devel >= 2.10.9
BuildRequires: gnome-keyring >= 0.8
BuildPreReq: openssl-devel >= 0.9.8b
BuildPreReq: libxml2 >= 2.6.27

%description
This is a keyring management program for the GNOME Desktop. The development of
this application will be like a tutorial for people on gnome-love and the main
idea is that these people in gnome-love do the code themself, helped by the
hacker-trainers.

You can follow the development of this application on:
  http://live.gnome.org/GnomeLove_2fGnomeKeyringManager

%prep
%setup -q

%build
%configure --disable-schemas-install --disable-scrollkeeper
%make

%install
rm -rf --preserve-root %{buildroot}
make DESTDIR=%{buildroot} install
rm -rf --preserve-root %{buildroot}/var/scrollkeeper
rm -rf --preserve-root %{buildroot}/var/lib/scrollkeeper

%post
/sbin/ldconfig
export GCONF_CONFIG_SOURCE=`gconftool-2 --get-default-source`
gconftool-2 --makefile-install-rule %{_sysconfdir}/gconf/schemas/gnome-keyring-manager.schemas > /dev/null

scrollkeeper-update

%postun
/sbin/ldconfig
scrollkeeper-update

%clean
rm -rf --preserve-root %{buildroot}

%files
%defattr(-, root, root)
%doc AUTHORS NEWS README COPYING ChangeLog HACKING
%{_bindir}/*
%{_datadir}/locale/*/*/*
%{_sysconfdir}/gconf/schemas/gnome-keyring-manager.schemas
%{_datadir}/applications/gnome-keyring-manager.desktop
%{_datadir}/gnome-keyring-manager
%{_datadir}/gnome/help/gnome-keyring-manager
%{_mandir}/man1/*.bz2
%{_datadir}/omf/gnome-keyring-manager

%changelog
* Tue Mar 13 2007 Nishio Futoshi <futoshi@momonga-linux.org>
- (2.18.0-1m)
- update to 2.18.0

* Thu Feb 22 2007 Nishio Futoshi <futoshi@momonga-linux.org>
- (2.17.0-3m)
- rewind %%post script (gconftool-2)

* Sun Feb 18 2007 Nishio Futoshi <futoshi@momonga-linux.org>
- (2.17.0-2m)
- revice %%post script (gconftool-2)

* Sat Feb 17 2007 Nishio Futoshi <futoshi@momonga-linux.org>
- (2.17.0-1m)
- update 2.17.0 (unstable)

* Mon Feb 12 2007 Mitsuru Shimamura <smbd@momonga-liunx.org>
- (2.16.0-2m)
- add require

* Thu Sep  7 2006 Nishio Futoshi <futoshi@momonga-linux.org>
- (2.16.0-1m)
- update to 2.16.0

* Sun Aug 27 2006 NARITA Koichi <pulsar@sea.plala.or.jp>
- (2.14.0-3m)
- rebuild against expat-2.0.0-1m

* Wed Apr 12 2006 Nishio Futoshi <futoshi@momonga-linux.org>
- (2.14.0-2m)
- rebuild against openssl-0.9.8a

* Sat Apr  8 2006 Nishio Futoshi <futoshi@momonga-linux.org>
- (2.14.0-1m)
- update to 2.14.0

* Mon Nov 21 2005 Nishio Futoshi <futoshi@momonga-linux.org>
- (2.12.0-1m)
- start
- GNOME 2.12.1 Desktop
